org.apache.flume.instrumentation.kafka

## Class KafkaSinkCounter

- java.lang.Object
- - org.apache.flume.instrumentation.MonitoredCounterGroup
  - - org.apache.flume.instrumentation.SinkCounter
    - - org.apache.flume.instrumentation.kafka.KafkaSinkCounter

- All Implemented Interfaces:
    KafkaSinkCounterMBean, SinkCounterMBean

      public class KafkaSinkCounter
      extends SinkCounter
      implements KafkaSinkCounterMBean

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `MonitoredCounterGroup.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSinkCounter(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addToKafkaEventSendTimer(long delta)`
    `long` | `getKafkaEventSendTimer()`
    `long` | `getRollbackCount()`
    `long` | `incrementRollbackCount()`

    - ### Methods inherited from class org.apache.flume.instrumentation.SinkCounter

      `addToEventDrainAttemptCount, addToEventDrainSuccessCount, getBatchCompleteCount, getBatchEmptyCount, getBatchUnderflowCount, getConnectionClosedCount, getConnectionCreatedCount, getConnectionFailedCount, getEventDrainAttemptCount, getEventDrainSuccessCount, incrementBatchCompleteCount, incrementBatchEmptyCount, incrementBatchUnderflowCount, incrementConnectionClosedCount, incrementConnectionCreatedCount, incrementConnectionFailedCount, incrementEventDrainAttemptCount, incrementEventDrainSuccessCount`

    - ### Methods inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `addAndGet, get, getStartTime, getStopTime, getType, increment, set, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.instrumentation.kafka.KafkaSinkCounterMBean

      `getBatchCompleteCount, getBatchEmptyCount, getBatchUnderflowCount, getConnectionClosedCount, getConnectionCreatedCount, getConnectionFailedCount, getEventDrainAttemptCount, getEventDrainSuccessCount, getStartTime, getStopTime, getType`

    - ### Methods inherited from interface org.apache.flume.instrumentation.SinkCounterMBean

      `getStartTime, getStopTime, getType`

- - ### Constructor Detail

    - #### KafkaSinkCounter

          public KafkaSinkCounter(String name)

  - ### Method Detail

    - #### addToKafkaEventSendTimer

          public long addToKafkaEventSendTimer(long delta)

    - #### incrementRollbackCount

          public long incrementRollbackCount()

    - #### getKafkaEventSendTimer

          public long getKafkaEventSendTimer()

      Specified by:
        `getKafkaEventSendTimer` in interface `KafkaSinkCounterMBean`

    - #### getRollbackCount

          public long getRollbackCount()

      Specified by:
        `getRollbackCount` in interface `KafkaSinkCounterMBean`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.